You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@echarts.apache.org by sh...@apache.org on 2021/07/29 06:33:49 UTC

[echarts-www] branch master updated: integrate handbook

This is an automated email from the ASF dual-hosted git repository.

shenyi pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/echarts-www.git


The following commit(s) were added to refs/heads/master by this push:
     new 77bbabe  integrate handbook
77bbabe is described below

commit 77bbabef92003d2d8504fe21676be88205c04a43
Author: pissang <bm...@gmail.com>
AuthorDate: Thu Jul 29 14:33:36 2021 +0800

    integrate handbook
---
 bin/release.sh | 14 ++++++++++++++
 package.json   |  1 -
 2 files changed, 14 insertions(+), 1 deletion(-)

diff --git a/bin/release.sh b/bin/release.sh
index ba89d3c..1eb897a 100644
--- a/bin/release.sh
+++ b/bin/release.sh
@@ -28,6 +28,8 @@ thisScriptDir=$(cd `dirname $0`; pwd)
 wwwProjectDir="${thisScriptDir}/..";
 docProjectDir="${wwwProjectDir}/../echarts-doc";
 examplesProjectDir="${wwwProjectDir}/../echarts-examples";
+handbookProjectDir="${wwwProjectDir}/../echarts-handbook";
+websiteTargetDir="${wwwProjectDir}/../echarts-website";
 themeProjectDir="${wwwProjectDir}/../ECharts-Theme-Builder";
 
 cd ${wwwProjectDir}
@@ -72,6 +74,18 @@ npm run release
 cd ${currWorkingDir}
 echo "Build examples done."
 
+# Build handbook
+echo "Build handbook ..."
+if [ ! -d "${handbookProjectDir}" ]; then
+    echo "Directory ${handbookProjectDir} DOES NOT exists."
+    exit 1
+fi
+cd ${handbookProjectDir}
+npm run build:${envType}
+rm -r ${websiteTargetDir}/handbook
+cp -R ${handbookProjectDir}/dist ${websiteTargetDir}/handbook
+echo "Build handbook done."
+
 # Build SPA pages.
 cd ${thisScriptDir}
 node releasePages.js
diff --git a/package.json b/package.json
index 8f70cdd..262e0d3 100644
--- a/package.json
+++ b/package.json
@@ -6,7 +6,6 @@
     "build": "sh bin/release.sh --env=localsite",
     "localsite": "sh bin/release.sh --env=localsite",
     "release": "sh bin/release.sh --env asf",
-    "localsite:onlynext": "sh bin/release.sh --env=localsite --onlynext",
     "dev:all": "npm run localsite",
     "dev": "node bin/build.js --env=localsite",
     "jade": "node bin/build.js --env=localsite --filter=jade",

---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@echarts.apache.org
For additional commands, e-mail: commits-help@echarts.apache.org